%define daemon_group apache
%define daemon_user  apache
%define htmlbase /var/www
%define htmlroot %{htmlbase}/html
%define httpconfdir httpd/conf.d
%define apacheservice httpd
%define cronservice crond


Summary: A portal page providing information of installed op5 products.
Name: portal
Version: %{op5version}
Release: %{op5release}%{?dist}
Group: op5/system-addons
License: op5 Immaterial Rights License
Prefix: %{htmlroot}
Source: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
Requires: php-op5lib
Requires: op5-monitor-supported-webserver
BuildRequires: op5-phpunit
BuildRequires: cronie
Requires: cronie
Requires: php


%description
Portal is the first page that you see when accessing an op5 System with
a web browser. Portal contains info about installed products, versions
and contact info to op5 Support.

%package test
Summary: Test files for portal
Group: op5/system-addons
Requires: portal = %version
Requires: op5-httpd
Requires: phantomjs
%if 0%{?rhel} <= 6
Requires: ruby20
Requires: ruby20-devel
%else
Requires: ruby
Requires: ruby-devel
%endif

# only to make the cucumber test case not b0rk, we really don't need mysql
# for portal, yes shoot me, this is stupid, but i need to fix this before
# i fix cucumber step to be smart.
Requires: op5-mysql


%description test
Test files for portal

%prep
%setup -q

%install
rm -rf %buildroot
mkdir -p %buildroot%prefix

cp -a html/* %buildroot/%prefix
mkdir -p -m 755 %buildroot%prefix/logs/

# images
mkdir -p -m 750 %buildroot/%{htmlbase}/media
install -m 644 media/* %buildroot/%{htmlbase}/media
cp %buildroot%prefix/portal/images/op5.ico %buildroot/%htmlroot/favicon.ico

# apache config file
mkdir -p -m 750 %buildroot/etc/%{httpconfdir}
%if 0%{?rhel} <= 6
install -m 644 httpd-portal.conf %buildroot/etc/%{httpconfdir}/httpd-portal.conf
%else
install -m 644 httpd-portal.conf.el7 %buildroot/etc/%{httpconfdir}/httpd-portal.conf
%endif

%check
phpunit tests

%post
%if 0%{?rhel} <= 6
/etc/init.d/%{apacheservice} reload || :
/etc/init.d/%{cronservice} reload || :
%else
systemctl reload %{apacheservice} || :
systemctl reload %{cronservice} || :
%endif

%files
%defattr(-,root,%daemon_group)
%prefix/portal
%prefix/*.php
%{htmlbase}/media
%attr(644, root, root) /etc/%{httpconfdir}/httpd-portal.conf
%htmlroot/favicon.ico

%files test
%defattr(664,root,%daemon_group,755)


%clean
rm -rf %buildroot

%changelog
* Thu May 03 2007 Peter Ostlin <peter@op5.se>
- changing to group apache to comply with centos
* Thu Dec 28 2006 Johannes Dagemark <jd@op5.se> 1.2.2-op5.2
- added favicon.ico
- moved media to /var/www/media
* Fri Jul 21 2006 Johannes Dagemark <jd@op5.se 1.2-op5.1
- updated to 1.2-op5.1
- support for monitor, statistics and logserver
- new logos and design
* Mon May 23 2005 Peter Ostlin <peter@op5.se> 1.0-op5.1
- First working version.
